Futures Cross
Get filled orders
GET
/futures/cross/orders/filledPrivateGet the cross orders that have been filled
Permissions: futures:cross:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.254Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.futures.cross.getFilledOrders({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500}){ "data": [ { "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "type": "limit", "side": "buy", "quantity": 100, "price": 20000, "tradingFee": 10, "createdAt": "2025-09-01T15:04:21.129Z", "filledAt": "2025-09-01T15:04:21.129Z", "canceledAt": null, "open": false, "filled": true, "canceled": false, "clientId": "test-client-id-123" } ], "nextCursor": "2024-01-15T10:30:00.000Z"}